<div class="dialog-wrapper">
    <mat-dialog-content>
        <div class="d-flex flex-column gap-2">
            <div class="pretranslate-dialog-header">
                <h4>{{'PRETRANSLATION.TITLE' | translate }}</h4>
                <p>{{'PRETRANSLATION.DESCRIPTION' | translate }}</p>
                <p class="disclaimer mt-1">{{'PRETRANSLATION.DISCLAIMER' | translate }}</p>
            </div>
            <form [formGroup]="form">
                <mat-form-field appearance="outline" color="accent" class="w-100 text-m">
                    <mat-label>{{ 'PRETRANSLATION.SELECT_DOMAIN' | translate }}</mat-label>
                    <mat-select [formControlName]="selectedDomain" required>
                        <mat-option
                            *ngFor="let domain of data.domainList"
                            [value]="domain" class="text-m"
                        >
                            {{domain}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="form.controls[selectedDomain].errors?.notReachable">
                        {{ 'PRETRANSLATION.DOMAIN_NOT_PUBLIC' | translate }}
                    </mat-error>
                </mat-form-field>
                <mat-form-field appearance="outline" class="w-100 text-m" color="accent">
                    <mat-label>{{ 'PRETRANSLATION.SELECT_TARGET_LANGUAGES' | translate }}</mat-label>
                    <mat-select [formControlName]="selectedTrgLanguages" multiple required>
                        <mat-option
                        *ngFor="let targetLanguage of data.targetLanguages"
                        [value]="targetLanguage" class="text-m">
                        {{ 'LANGUAGES.'+ targetLanguage | translate}}
                        </mat-option>
                    </mat-select>
            
                    <mat-error *ngIf="form.controls[selectedDomain].errors?.required">
                        {{ 'PRETRANSLATION.TARGET_LANGUAGE_REQUIRED' | translate }}
                    </mat-error>
                </mat-form-field>
            </form>
        </div>
    </mat-dialog-content>
    <mat-dialog-actions class="d-flex flex-row action-button-container">
        <button mat-flat-button mat-dialog-close>{{ 'PRETRANSLATION.CLOSE' | translate }}</button>
        <button mat-flat-button color="accent" [disabled]="form.invalid"
            (click)="startWebsitePretranslation()">
            {{ 'PRETRANSLATION.START_PRETRANSLATION' | translate }}
        </button>
    </mat-dialog-actions>
</div>